Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine
Class LineFormat

    java.lang.Object
      com.rie.rieps.engine.LineFormat

    public class LineFormat

extends java.lang.Object

Author:
  Yves Piel

Field Summary
`static LineFormat` | `DEFAULT`

Constructor Summary
`LineFormat()`
`LineFormat(float width, Color c)`
`LineFormat(float width, int[] pattern, int offset, Color c)`
`LineFormat(float width, int dashLength, Color c)`
`LineFormat(LineFormat lf)`

Method Summary
`Color` | `getColor()`
`int` | `getDashOffset()`
`int[]` | `getDashPattern()`
`float` | `getWidth()`
`LineFormat` | `setColor(Color c)`
`LineFormat` | `setDash(int length)`
`LineFormat` | `setDash(int[] pattern, int offset)`
`LineFormat` | `setWidth(float width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final LineFormat DEFAULT

Constructor Detail

### LineFormat

    public LineFormat()

### LineFormat

    public LineFormat(LineFormat lf)

### LineFormat

    public LineFormat(float width,
                      int dashLength,
                      Color c)

### LineFormat

    public LineFormat(float width,
                      int[] pattern,
                      int offset,
                      Color c)

### LineFormat

    public LineFormat(float width,
                      Color c)

Method Detail

### setWidth

    public LineFormat setWidth(float width)

### getWidth

    public float getWidth()

### setDash

    public LineFormat setDash(int length)

### setDash

    public LineFormat setDash(int[] pattern,
                              int offset)

### getDashPattern

    public int[] getDashPattern()

### getDashOffset

    public int getDashOffset()

### getColor

    public Color getColor()

### setColor

    public LineFormat setColor(Color c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD